"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function i18nRewriter(config) {
    const { locales, defaultLocale, prefixDefault } = config;
    const rewrites = [];
    locales.forEach(locale => {
        if (locale === defaultLocale && !prefixDefault) {
            return;
        }
        rewrites.push({
            source: `/${locale}`,
            destination: `/`
        });
        rewrites.push({
            source: `/${locale}/:path*`,
            destination: `/:path*`
        });
    });
    return rewrites;
}
exports.default = i18nRewriter;
//# sourceMappingURL=i18nRewriter.js.map